%define gkplugindir %{_libdir}/gkrellm2/plugins

Summary: Moon clock plugin for GKrellM
Name: gkrellm-moon
Version: 0.6
Release: 2%{?dist}
License: GPL
Group: Applications/System
URL: http://gkrellmoon.sourceforge.net/
Source: http://dl.sf.net/gkrellmoon/gkrellmoon-%{version}.tar.gz
Patch0: gkrellmoon-0.6-strcpy.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: gkrellm >= 2.2.0
BuildRequires: gkrellm-devel >= 2.2.0

%description
A moon clock plugin for GKrellM.


%prep
%setup -q -n gkrellmoon-%{version}
%patch0 -p1 -b .strcpy


%build
%{__make} FLAGS='%{optflags} -fPIC $(GTK_INCLUDE)'


%install
%{__rm} -rf %{buildroot}
%{__install} -D -m 0755 gkrellmoon.so %{buildroot}%{gkplugindir}/gkrellmoon.so


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{gkplugindir}/gkrellmoon.so


%changelog
* Wed Feb 14 2007 Matthias Saou <http://freshrpms.net/> 0.6-2
- Tweak defattr.

* Mon Feb 12 2007 Matthias Saou <http://freshrpms.net/> 0.6-1
- Initial RPM release as a single plugin.
- Include trivial patch to remove strcpy related warnings.

